/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.aufgaben-container {
  * {
    font-size: 1.6rem;
  }
  tr {
    h3 {
      margin-top: auto !important;
    }
  }

  .new-row {
    & td:first-child {
      border-left: 3px solid @platfrom-blue1;
    }
    td {
      background-color: #f2f4fd;
    }
  }
  .dashboard-table-top {
    display: flex;
    color: black;

    & > span:nth-child(2) {
      margin-left: 10px;
    }
  }
  .app-type-label-container {
    background: black;
    width: 64px;
    text-align: center;
    .app-type-label {
      font-size: 1.3rem;
      line-height: 24px;
      letter-spacing: 0.65px;
      color: white;
    }
  }
  .info-text {
    max-width: 590px;
    margin: 0 auto;
    text-align: center;
    font-size: 1.8rem;
  }
  .ant-tabs-content-holder {
    padding-top: 20px;
  }
}
.ant-layout-has-sider {
  .ant-dropdown {
    z-index: 1062;
  }
}
.aufgaben-drawer-content {
  margin-bottom: 50px;
}
.empty-aufgaben {
  div {
    text-align: center;
  }
  .ant-btn {
    span {
      text-decoration: underline;
    }
  }
}
.anmerkungen-container {
  display: flex;
  flex-direction: column;
  margin-left: 20px;
  div {
    h4 {
      margin-top: 20px;
      font-weight: bold;
      font-size: 1.8rem !important;
    }
    p {
      font-size: 1.6rem;
    }
  }
}
.erledigt-check {
  .ant-checkbox-checked .ant-checkbox-inner {
    background-color: green;
    border-color: green;
  }
}
.aufgabe-frist {
  span {
    font-style: italic;
  }
}
.aufgaben-modal-root {
  .ant-modal-wrap,
  .ant-modal-mask {
    z-index: 1062 !important;
  }
}
.ant-message-top {
  z-index: 1065 !important;
}
.custom-datepicker-holder {
  z-index: 1062 !important;
}
